;****************************************************************************
; PIC16F88 Header
;       Copyright 1995, 2003 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
                DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50081003h       ; 14-Bit, 4K Code, 256 EE, ID = 3

					; *** DEVICE Device Definitions
PIC16F88	equ     50081003h       ; 14-Bit, 4K Code, 256 EE, ID = 3

					; *** DEVICE Fuses Definitions
EXTRC_OSC_CLKOUT equ    3FEC0013h       ; XX XXXX XXX1 XX11
EXTRC_OSC_NOCLKOUT equ  3FEC0012h       ; XX XXXX XXX1 XX10
EXTRC_OSC       equ     3FEC0012h       ; XX XXXX XXX1 XX10
INTRC_OSC_CLKOUT equ    3FEC0011h       ; XX XXXX XXX1 XX01
INTRC_OSC_NOCLKOUT equ  3FEC0010h       ; XX XXXX XXX1 XX00
INTRC_OSC       equ     3FEC0010h       ; XX XXXX XXX1 XX00
EXTCLK_OSC      equ     3FEC0003h       ; XX XXXX XXX0 XX11
EC_OSC          equ     3FEC0003h       ; XX XXXX XXX0 XX11
HS_OSC          equ     3FEC0002h       ; XX XXXX XXX0 XX10
XT_OSC          equ     3FEC0001h       ; XX XXXX XXX0 XX01
LP_OSC          equ     3FEC0000h       ; XX XXXX XXX0 XX00
WDT_ON          equ     3FFB0004h       ; XX XXXX XXXX X1XX
WDT_OFF         equ     3FFB0000h       ; XX XXXX XXXX X0XX
PWRT_ON         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PWRT_OFF        equ     3FF70008h       ; XX XXXX XXXX 1XXX
MCLR_ON         equ     3FDF0020h       ; XX XXXX XX1X XXXX
MCLR_OFF        equ     3FDF0000h       ; XX XXXX XX0X XXXX
BOD_ON          equ     3FBF0040h       ; XX XXXX X1XX XXXX
BOD_OFF         equ     3FBF0000h       ; XX XXXX X0XX XXXX
LVP_ON          equ     3F7F0080h       ; XX XXXX 1XXX XXXX
LVP_OFF         equ     3F7F0000h       ; XX XXXX 0XXX XXXX
CPD_ON          equ     3EFF0000h       ; XX XXX0 XXXX XXXX
CPD_OFF         equ     3EFF0100h       ; XX XXX1 XXXX XXXX
WRT_1FOURTH     equ     39FF0000h       ; XX X00X XXXX XXXX
WRT_HALF        equ     39FF0200h       ; XX X01X XXXX XXXX
WRT_3FOURTHS    equ     39FF0400h       ; XX X10X XXXX XXXX
WRT_OFF         equ     39FF0600h       ; XX X11X XXXX XXXX
DEBUG_ON        equ     37FF0000h       ; XX 0XXX XXXX XXXX
DEBUG_OFF       equ     37FF0800h       ; XX 1XXX XXXX XXXX
CCPMX_ON        equ     2FFF0000h       ; X0 XXXX XXXX XXXX
CCPMX_OFF       equ     2FFF1000h       ; X1 XXXX XXXX XXXX
PROTECT_ON      equ     1FFF0000h       ; 0X XXXX XXXX XXXX
PROTECT_OFF     equ     1FFF2000h       ; 1X XXXX XXXX XXXX
FCMEN_OFF	equ     3FFE0000h       ; XX XXXX XXXX XXX0
FCMEN_ON	equ     3FFE0001h       ; XX XXXX XXXX XXX1
IESO_OFF	equ     3FFD0000h       ; XX XXXX XXXX XX0X
IESO_ON		equ     3FFD0002h       ; XX XXXX XXXX XX1X

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
PORTB           equ     06h             ; Port B Data
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             ; Peripheral Interrupt Flags 1
PIR2            equ     0Dh             ; Peripheral Interrupt Flags 2
TMR1L           equ     0Eh             ; Timer 1 Data (LSB)
TMR1H           equ     0Fh             ; Timer 1 Data (MSB)
T1CON           equ     10h             ; Timer 1 Control
TMR2            equ     11h             ; Timer 2 Data
T2CON           equ     12h             ; Timer 2 Control
SSPBUF          equ     13h             ; SSP Data
SSPCON          equ     14h             ; SSP Control
CCPR1L          equ     15h             ; CCP 1 Data (LSB)
CCPR1H          equ     16h             ; CCP 1 Data (MSB)
CCP1CON         equ     17h             ; CCP 1 Control
RCSTA           equ     18h             ; ASP Status/Control
TXREG           equ     19h             ; ASP Transmit Data
RCREG           equ     1Ah             ; ASP Receive Data
ADRESH          equ     1Eh             ; A/D Result High
ADRES           equ     1Eh             ; A/D Result High
ADCON0          equ     1Fh             ; A/D Control 0
OPTION_REG      equ     81h             ; OPTION Register
TRISA           equ     85h             ; Port A Tristate Control
TRISB           equ     86h             ; Port B Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PIE2            equ     8Dh             ; Peripheral Interrupt Enables 2
PCON            equ     8Eh             ; Power Control
OSCCON          equ     8Fh             ; Oscillator Control
OSCTUNE         equ     90h             ; Oscillator Tuning
PR2             equ     92h             ; Timer 2 Period
SSPADD          equ     93h             ; SSP I2C Address
SSPSTAT         equ     94h             ; SSP Status Flags
TXSTA           equ     98h             ; ASP Transmit Status/Control
SPBRG           equ     99h             ; ASP Baud Rate
ANSEL		equ     9Bh             ; A/D Analog Select
CMCON           equ     9Ch             ; Comparator Control
CVRCON          equ     9Dh             ; Comparator Voltage Reference Control
ADRESL          equ     9Eh             ; A/D Result Low
ADCON1          equ     9Fh             ; A/D Control 1
WDTCON		equ     105h            ; Watchdog Timer Control
EEDATA          equ     10Ch            ; EEPROM Data
EEADR           equ     10Dh            ; EEPROM Address
EEDATH          equ     10Eh            ; EEPROM Data High
EEADRH          equ     10Fh            ; EEPROM Address High
EECON1          equ     18Ch            ; EEPROM Control 1
EECON2          equ     18Dh            ; EEPROM Control 2

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
TO              equ     4               ; Time Out
RP0             equ     5               ; Direct Data Page Select 0
RP1             equ     6               ; Direct Data Page Select 1
IRP             equ     7               ; Indirect Data Page Select

					; *** INTCON Bits
RBIF            equ     0               ; PORTB[4..7] Change Interrupt Flag
INTF            equ     1               ; RB0/INT Interrupt Flag
T0IF            equ     2               ; TMR0 Overflow Interrupt Flag
RBIE            equ     3               ; PORTB[4..7] Change Interrupt Enable
INTE            equ     4               ; RB0/INT Interrupt Enable
T0IE            equ     5               ; TMR0 Overflow Interrupt Enable
PEIE            equ     6               ; Peripheral Interrupt Enable
GIE             equ     7               ; Global Interrupt Enable

					; *** PIR1 Bits
TMR1IF          equ     0               ; Timer 1 Interrupt Flag
TMR2IF          equ     1               ; Timer 2 Interrupt Flag
CCP1IF          equ     2               ; CCP 1 Interrupt Flag
SSPIF           equ     3               ; SSP Interrupt Flag
TXIF            equ     4               ; ASP Transmit Interrupt Flag
RCIF            equ     5               ; ASP Receive Interrupt Flag
ADIF            equ     6               ; A/D Interrupt Flag

					; *** PIR2 Bits
EEIF            equ     4               ; EEPROM Interrupt Flag
CMIF            equ     6               ; Comparator Interrupt Flag
OSFIF           equ     7               ; Oscillator Fail Interrupt Flag

					; *** T1CON Bits
TMR1ON          equ     0               ; Timer 1 Enable
TMR1CS          equ     1               ; Timer 1 Clock Select
T1INSYNC        equ     2               ; Timer 1 Sync Enable
T1OSCEN         equ     3               ; Timer 1 Oscillator Enable
T1CKPS0         equ     4               ; Timer 1 Prescaler Select (2 Bits)
T1CKPS1         equ     5
T1RUN           equ     6

					; *** T2CON Bits
T2CKPS0         equ     0               ; Timer 2 Prescaler Select (2 Bits)
T2CKPS1         equ     1
TMR2ON          equ     2               ; Timer 2 Enable
TOUTPS0         equ     3               ; Timer 2 Postscaler Select (4 Bits)
TOUTPS1         equ     4
TOUTPS2         equ     5
TOUTPS3         equ     6

					; *** SSPCON Bits
SSPM0           equ     0               ; SSP Mode Select (4 Bits)
SSPM1           equ     1
SSPM2           equ     2
SSPM3           equ     3
CKP             equ     4               ; SSP Clock Polarity Select
SSPEN           equ     5               ; SSP Enable
SSPOV           equ     6               ; SSP Receive Overflow Flag
WCOL            equ     7               ; SSP Write Collision Detect

					; *** CCP1CON Bits
CCP1M0          equ     0               ; CCP 1 Mode Select (4 Bits)
CCP1M1          equ     1
CCP1M2          equ     2
CCP1M3          equ     3
CCP1Y           equ     4               ; CCP 1 PWM Bit 0
CCP1X           equ     5               ; CCP 1 PWM Bit 1

					; *** RCSTA Bits
RX9D            equ     0               ; ASP Received 9th/Parity Bit
OERR            equ     1               ; ASP Overrun Flag
FERR            equ     2               ; ASP Framing Error Flag
ADDEN           equ     3
CREN            equ     4               ; ASP Continuous Receive Enable
SREN            equ     5               ; ASP Single Receive Enable
RX9             equ     6               ; ASP Receive Data Length Select
SPEN            equ     7               ; ASP Enable

					; *** ADCON0 Bits
ADON            equ     0               ; A/D Power Control
GO_DONE         equ     2               ; A/D GO/DONE Bit
CHS0            equ     3               ; A/D Channel Select (4 Bits)
CHS1            equ     4
CHS2            equ     5
ADCS0           equ     6               ; A/D Clock Select (2 Bits)
ADCS1           equ     7

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer 0 Source Edge Select
T0CS            equ     5               ; Timer 0 Clock Source Select
INTEDG          equ     6               ; RB0/INT Edge Select
RBPU            equ     7               ; Port B Weak Pull-Up Enable

					; *** PIE1 Bits
TMR1IE          equ     0               ; Timer 1 Interrupt Enable
TMR2IE          equ     1               ; Timer 2 Interrupt Enable
CCP1IE          equ     2               ; CCP 1 Interrupt Enable
SSPIE           equ     3               ; SSP Interrupt Enable
TXIE            equ     4               ; ASP Transmit Interrupt Enable
RCIE            equ     5               ; ASP Receive Interrupt Enable
ADIE            equ     6               ; A/D Interrupt Enable

					; *** PIE2 Bits
EEIE            equ     4               ; EEPROM Interrupt Enable
CMIE            equ     6               ; Comparator Interrupt Enable
OSFIE           equ     7               ; Oscillator Fail Interrupt Enable

					; *** PCON Bits
BOR             equ     0               ; Brown-Out Reset Flag
POR             equ     1               ; Power-On Reset Flag

					; *** OSCCON Bits
SCS0            equ     0
SCS1            equ     1
IOFS            equ     2
OSTS            equ     3
IRCF0           equ     4
IRCF1           equ     5
IRCF2           equ     6

					; *** SSPSTAT Bits
BF              equ     0               ; SSP Buffer Full Flag
UA              equ     1               ; SSP I2C Update Address Flag
R_W             equ     2               ; SSP I2C Read/Write Status
S               equ     3               ; SSP I2C Start Flag
P               equ     4               ; SSP I2C Stop Flag
D_A             equ     5               ; SSP I2C Data/Address Flag
CKE             equ     6               ; SSP SPI Clock Edge Select
SMP             equ     7               ; SSP SPI Data Input Sample Phase

					; *** TXSTA Bits
TX9D            equ     0               ; ASP Transmit 9th Bit
TRMT            equ     1               ; ASP Transmit Shift Register Empty
BRGH            equ     2               ; ASP High Baud Rate Select
SYNC            equ     4               ; ASP Mode Select
TXEN            equ     5               ; ASP Transmit Enable
TX9             equ     6               ; ASP Transmit Data Length Select
CSRC            equ     7               ; ASP Clock Source Select

					; *** CMCON Bits
CM0             equ     0               ; Comparator Mode (3 Bits)
CM1             equ     1
CM2             equ     2
CIS             equ     3               ; Comparator Input Select
C1INV           equ     4		; Comparator 1 Output Inversion Select
C2INV           equ     5		; Comparator 2 Output Inversion Select
C1OUT           equ     6               ; Comparator 1 Output
C2OUT           equ     7               ; Comparator 2 Output

					; *** CVRCON Bits
CVR0            equ     0               ; VRef Select (4 Bits)
CVR1            equ     1
CVR2            equ     2
CVR3            equ     3
CVRR            equ     5               ; VRef Range Select
CVROE           equ     6               ; VRef Output Enable
CVREN           equ     7               ; VRef Enable

					; *** ADCON1 Bits
VCFG0           equ     4
VCFG1           equ     5
ADCS2           equ     6               ; A/D Clock Select
ADFM            equ     7               ; A/D Result Format Select

					; *** WDTCON Bits
SWDTE           equ     0
SWDTEN          equ     0
WDTPS0          equ     1
WDTPS1          equ     2
WDTPS2          equ     3
WDTPS3          equ     4

					; *** EECON1 Bits
RD              equ     0               ; EEPROM Read Control
WR              equ     1               ; EEPROM Write Control
WREN            equ     2               ; EEPROM Write Enable
WRERR           equ     3               ; EEPROM Write Error Flag
FREE            equ     4               ; EEPROM Forced Row Erase
EEPGD           equ     7               ; EEPROM Program / Data Select

        LIST
